# Payment extension ConotoxiaPay for OpenCart version 3.x
``Payment extension is distributed on GPL license``

**If you have any questions or want to report a mistake, please contact our support at: dong@cinkciarz.pl.**

## Table of contents

* [Features and compatibility](#features-and-compatibility)
* [Installation](#installation)
* [Configuration](#configuration)

## Features and compatibility
The ConotoxiaPay payment module adds the ConotoxiaPay payment option to OpenCart and enables you to:

* Create a payment
* Automatic receipt of notifications and change of order statuses

## Installation

1. Download the module from the repository.
1. Extract the downloaded file.
1. Connect to the ftp server, and copy the contents of the `upload` directory to the root directory of your OpenCart store.
1. Go to the administrative page of your OpenCart store.
1. Move  `Extensions` » `Extensions`.
1. Set the filter on `Payments`.
1. Find on the list `ConotoxiaPay` and press icon `Install`.
1. Generate a pair of keys according to the [instructions](#generate-rsa-keys).
1. You must configure the plugin before making the first payment.

#### Generate RSA keys
This command will generate and save private key for signing in active root:
```
openssl genrsa -out key 2048
```
This command will generate and save public key for signature verification.
```
openssl rsa -in key -pubout > key.pub
```

## Configuration

1. Go to the administrative page of your OpenCart store. [http://adres-sklepu/admin].
1. Move  `Extensions` » `Extensions`.
1. Set the filter on `Payments`.
1. Find on the list `ConotoxiaPay` and press icon `Edit`.

#### Configuration parameters

| Parameter | Opis |
|---------|-----------|
| Client_id | client_id for the OAuth protocol from the ConotoxiaPay system |
| Client_secret | client_secret for the OAuth protocol from the ConotoxiaPay system |
| Point of Sale ID | ID POS-a from ConotoxiaPay system |
| RSA public key | The RSA public key value generated during the plugin installation process |
| RSA private key | The RSA private key value generated during the plugin installation process |
| Sandbox mode | Enable\Disable the test mode for the ConotoxiaPay plugin |
| Position | Sort position of gateway on list in checkout |
| Status |Determines whether the ConotoxiaPay payment method will be available in the store on the payment list |
