# Moduł ConotoxiaPay dla OpenCart wersja 3.x
``Moduł jest wydawany na licencji GPL.``

**Jeżeli masz jakiekolwiek pytania lub chcesz zgłosić błąd zapraszamy do kontaktu z naszym wsparciem pod adresem: dong@cinkciarz.pl.**

[_English version below_](README.EN.md)
## Spis treści

* [Cechy i kompatybilność](#cechy-i-kompatybilność)
* [Instalacja](#instalacja)
* [Konfiguracja](#konfiguracja)

## Cechy i kompatybilność
Moduł płatności ConotoxiaPay dodaje do OpenCart opcję płatności ConotoxiaPay i umożliwia:

* Utworzenie płatności
* Automatyczne odbieranie powiadomień i zmianę statusów zamówienia

## Instalacja

1. Pobierz moduł z repozytorium.
1. Rozpakuj pobrany plik.
1. Połącz się z serwerem ftp i skopiuj zawartość katalogu `upload` z rozpakowanego pliku do katalogu głównego swojego sklepu OpenCart.
1. Przejdź do strony administracyjnej swojego sklepu OpenCart [http://adres-sklepu/admin].
1. Przejdź  `Extensions` » `Extensions`.
1. Ustaw filtr na `Payments`.
1. Znajdź na liście `ConotoxiaPay` i kliknij w ikonę `Install`.
1. Wygeneruj parę kluczy według [instrukcji](#Generowanie-pary-kluczy-RSA).
1. Przed wykonaniem pierwszej płatności należy skonfigurować plugin.

#### Generowanie pary kluczy RSA
Zmień lokalizację na docelową dla przechowywania kluczy RSA. Następnie wprowadź poniższą komendę dla wygenerowania klucza prywatnego:
```
openssl genrsa -out key 2048
```
Poniższa komenda pozwoli na wygenerowanie i zapisanie klucza publicznego:
```
openssl rsa -in key -pubout > key.pub
```

## Konfiguracja

1. Przejdź do strony administracyjnej swojego sklepu OpenCart [http://adres-sklepu/admin].
1. Przejdź  `Extensions` » `Extensions`.
1. Ustaw filtr na `Payments`.
1. Znajdź na liście `ConotoxiaPay` i kliknij w ikonę `Edit`.

#### Parametry konfiguracyjne

| Parametr | Opis |
|---------|-----------|
| Protokół OAuth - client_id | client_id dla protokołu OAuth z systemu ConotoxiaPay |
| Protokół OAuth - client_secret | client_secret for OAuth z systemu ConotoxiaPay |
| Id punktu płatności | Identyfikator POS-a z systemu ConotoxiaPay |
| Klucz publiczny RSA | Wartość klucza publicznego RSA wygenerowanego podczas procesu instalacji pluginu |
| Klucz prywatny RSA | Wartość klucza prywatnego RSA wygenerowanego podczas procesu instalacji pluginu |
| Tryb testowy - sandbox mode | Włączą tryb testowy dla pluginu ConotoxiaPay |
| Kolejność |Określa na której pozycji ma być wyświetlana metoda płatności ConotoxiaPay dostępna w sklepie na liście płatności |
| Status |Określa czy metoda płatności ConotoxiaPay będzie dostępna w sklepie na liście płatności |